=== debian/control ===
Source: quassel
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           Felix Geyer <fgeyer@debian.org>,
           Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9.20130504~),
               cmake,
               dh-systemd,
               libqca-qt5-2-dev,
               zlib1g-dev,
               qttools5-dev-tools,
               qttools5-dev,
               qtscript5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libdbusmenu-qt5-dev,
               libqt5webkit5-dev,
               extra-cmake-modules,
               libkf5textwidgets-dev,
               libkf5coreaddons-dev,
               libkf5xmlgui-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5widgetsaddons-dev,
               libssl-dev
Homepage: http://www.quassel-irc.org
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/quassel.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/quassel.git/

Package: quassel-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libqt5sql5-sqlite, lsb-base (>= 3.2-14), openssl
Suggests: libqt5sql5-psql
Description: distributed IRC client - core component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the core component.

Package: quassel-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data (= ${source:Version}), dbus-x11
Breaks: quassel-client-kde4 (<< 0.12.2)
Replaces: quassel-client-kde4 (<< 0.12.2)
Description: distributed IRC client - client component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the client component.

Package: quassel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, quassel-data (= ${source:Version}), dbus-x11
Breaks: quassel-kde4 (<< 0.12.2)
Replaces: quassel-kde4 (<< 0.12.2)
Description: distributed IRC client - monolithic core+client
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides the monolithic client. It contains both core and
 client and can be used like a traditional IRC client, without requiring an
 external core.

Package: quassel-data
Architecture: all
Depends: ${misc:Depends}
Recommends: oxygen-icon-theme
Suggests: inxi
Conflicts: quassel-data-kde4
Description: distributed IRC client - shared data
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides files used by the Quassel client packages.

Package: quassel-client-kde4
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, quassel-client (>= 0.12.2)
Description: transitional package to quassel-client
 This is an empty package to transition to quassel-client, it can be safely
 removed.

Package: quassel-kde4
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, quassel (>= 0.12.2)
Description: transitional package to quassel
 This is an empty package to transition to quassel, it can be safely removed.
