=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with systemd

override_dh_auto_configure:
	dh_auto_configure -- -DEMBED_DATA=OFF -DUSE_QT5=ON -DWITH_KDE=ON

override_dh_install:
	dh_install --fail-missing
	# replace inxi with a symlink
ifneq (,$(filter quassel-data, $(shell dh_listpackages)))
	rm debian/quassel-data/usr/share/quassel/scripts/inxi
endif

override_dh_installinit:
	dh_installinit -r --error-handler=exit --name=quasselcore

override_dh_systemd_enable:
	dh_systemd_enable --name=quasselcore

override_dh_systemd_start:
	dh_systemd_start --name=quasselcore
