=== debian/watch ===
version=3

http://quassel-irc.org/downloads \
  /pub/quassel-(.*)\.tar\.bz2
