## quassel 0.12.4-3ubuntu1%2B9.0trisquel2

=== debian/changelog ===
quassel (1:0.12.4-3ubuntu1+9.0trisquel2) etiona; urgency=medium

  * Change default channel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 00:01:18 +0000

quassel (1:0.12.4-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Apparmor profile.
    - Ufw profile.
  * The default channel is now #lubuntu because Lubuntu Next seeds quassel by
    default.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 18 Feb 2018 23:30:49 -0600

quassel (1:0.12.4-3) unstable; urgency=medium

  * Depend on default-dbus-session-bus | dbus-session-bus instead of dbus-x11.
    (Closes: #836142)
  * Provide support for --listen option in the init script and systemd service.
    (Closes: #590645)
  * Fix the OpenSSL detection.
    - Add Fix_the_ssl_check_with_Qt_5.6_and_gcc_5.patch,
      cherry picked from upstream.
  * Switch to debhelper compat level 10.
  * quassel-core postinst: chmod/chown only after creating the files/dirs.
  * Remove transitional packages quassel-kde4 and quassel-client-kde4.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 08 Feb 2018 18:31:06 +0100

quassel (1:0.12.4-2ubuntu3) bionic; urgency=medium

  * No change rebuild against libdbusmenu-qt5-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 30 Jan 2018 22:44:58 +0300

quassel (1:0.12.4-2ubuntu2) yakkety; urgency=medium

  * Fix SSL issues with Qt5.6 and GCC5.
    - Add fix_ssl_qt5.6_gcc5.patch (from upstream git master)

 -- Michael Marley <michael@michaelmarley.com>  Mon, 01 Aug 2016 07:49:05 -0400

quassel (1:0.12.4-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian. (LP: #1589128) (LP: #1582802)
  * Dropped changes include: 
    - Specify 2048-bit RSA key (default anyway now).
    - Many indentation differences.
    - Sysvinit file differences, different name for systemd file, 
      upstart file (no longer needed).
    - More complicated debian/rules.
    - Less hardening in Ubuntu, +all in Debian.
    - Some maintainer script transition for very old versions.
    - Changelog entries (manual combining welcome).
    - Qt 4 build dependencies.
  * Remaining changes:
    - Kubuntu channel tweak.
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Apparmor profile.
    - Ufw profile.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Aug 2016 09:12:45 +0300
