## quassel 0.12.4-3ubuntu1.18.04.3%2B9.0trisquel2

=== debian/changelog ===
quassel (1:0.12.4-3ubuntu1.18.04.3+9.0trisquel2) etiona-security; urgency=medium

  * Change default channel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 21 Oct 2020 14:09:24 +0000

quassel (1:0.12.4-3ubuntu1.18.04.3) bionic-security; urgency=medium

  * Merge security patches from Debian.
  * SECURITY UPDATE: Remote code execution.
    - d/p/Implement_custom_deserializer.patch: Implement custom
      deserializer to add sanity checks.
    - CVE-2018-1000178
  * SECURITY UPDATE: NULL pointer dereference.
    - d/p/Reject_clients_that_attempt_to_login_before_the_core_is_configured.patch:
      this patch prevents it from crashing the core.
    - CVE-2018-1000179

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 19 Oct 2020 16:53:16 -0300

quassel (1:0.12.4-3ubuntu1.18.04.2) bionic; urgency=medium

  * d/usr.bin.quasselcore:
    - Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dan Streetman <ddstreet@canonical.com>  Sun, 28 Jun 2020 11:01:19 -0400

quassel (1:0.12.4-3ubuntu1.18.04.1) bionic; urgency=medium

  * Cherry-pick fix introduced in Debian in revision 1:0.13.1-2 to fix
    apparmor profile (LP: #1863664)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2020 19:06:19 +0100
